#
# Conditional build:
%bcond_without	alsa	# without ALSA support for MIDI
#
Summary:	x86/DOS emulator with sound/graphics primarily for games
Summary(pl.UTF-8):	Emulator x86/DOS z dźwiękiem/grafiką głównie dla gier
Name:		dosbox
Version:	0.74
Release:	6
License:	GPL v2+
Group:		Applications/Emulators
Source0:	http://downloads.sourceforge.net/dosbox/%{name}-%{version}.tar.gz
# Source0-md5:	b9b240fa87104421962d14eee71351e8
Source1:	%{name}.desktop
Source2:	%{name}.png
Source3:	%{name}.conf
Patch0:		%{name}-gcc46.patch
URL:		http://dosbox.sourceforge.net/
BuildRequires:	OpenGL-devel
# because of SDL_opengl deps
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	SDL-devel >= 1.2.0
BuildRequires:	SDL_net-devel
BuildRequires:	SDL_sound-devel
%{?with_alsa:BuildRequires:	alsa-lib-devel >= 0.9.0}
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
%{?debug:BuildRequires:	ncurses-devel}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags	-fmerge-all-constants -ffast-math

%description
DOSBox emulates a 286/386 realmode/protected mode CPU, Directory
FileSystem/XMS/EMS, Tandy/Hercules/CGA/EGA/VGA/VESA graphics, a
SoundBlaster/Gravis Ultra Sound card for excellent sound compatibility
with older games...

You can "re-live" the good old days with the help of DOSBox, it can
run plenty of the old classics that don't run on your new computer!

%description -l pl.UTF-8
DOSBox emuluje tryb rzeczywisty/chroniony procesora 286/386, system
plików z katalogami, pamięć XMS/EMS, karty graficzne
Tandy/Hercules/CGA/EGA/VGA/VESA oraz karty muzyczne
SoundBlaster/Gravis Ultra Sound w celu zapewnienia znakomitej
kompatybilności ze starymi grami.

Stare wspomnienia odżyją z pomocą DOSBoksa. Dzięki niemu można
uruchomić mnóstwo klasyków, które nie odpalają się na nowych
komputerach.

%prep
%setup -q
%patch0 -p1

%build
# kill AM_PATH_SDL and AM_PATH_ALSA, leave only AH_{TOP,BOTTOM}
tail -n +306 acinclude.m4 > acinclude.m4.tmp
mv -f acinclude.m4.tmp acinclude.m4
%if !%{with alsa}
echo 'AC_DEFUN([AM_PATH_ALSA], [$3])' >> acinclude.m4
%endif
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-shots \
	%{?debug:--enable-debug}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}
install %{SOURCE3} .

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README THANKS dosbox.conf
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/dosbox.1.gz
%{_desktopdir}/*.desktop
%{_pixmapsdir}/dosbox.png
%changelog
* Thu Nov 07 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dosbox.git;a=log;h=master

* Thu Nov 07 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 59afd64
- rel 6; build fixed

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 78c4d15
- release 5 (by relup.sh)

* Sun Feb 12 2012 Adam Gołębiowski <adamg@pld-linux.org> 0003538
- new

* Sun Feb 12 2012 Adam Gołębiowski <adamg@pld-linux.org> 1aee663
- gcc4.6 buildfix
- release 4 (rebuild against libpng-1.5)

* Sun Feb 12 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 2a4dec0
- release 3

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 192d9ee
- release 2

* Thu May 13 2010 lisu <lisu@pld-linux.org> 3765efd
- updated to 0.74
- more verbode files
- adapter

* Sat Feb 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 25acd3b
- release 2

* Thu May 28 2009 wolf <wolf@pld-linux.org> 5849356
- 0.73

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> e229ea1
- validated

* Tue Aug 28 2007 Jakub Bogusz <qboosh@pld-linux.org> 607f52b
- GPL v2+

* Tue Aug 28 2007 Jakub Bogusz <qboosh@pld-linux.org> ee3338e
- BR: OpenGL-devel (and OpenGL-GLU-devel because of SDL_opengl.h deps)

* Mon Aug 27 2007 wolf <wolf@pld-linux.org> b34735a
- 0.72

* Tue Jul 31 2007 Łukasz Krotowski <lkrotowski@pld-linux.org> 16ff57a
- up to 0.71

* Thu Apr 19 2007 blekot <blekot@pld-linux.org> 6dbd144
- proper my changelog

* Thu Apr 19 2007 blekot <blekot@pld-linux.org> 51f51ad
- rel ++ (2) due to: dosbox: relocation error: dosbox: symbol _ZNSo9_M_insertEPKci, version GLIBCXX_3.4.9 not defined in file libstdc++.so.6 with link time reference
- STBR

* Sun Mar 18 2007 blekot <blekot@pld-linux.org> f1b6419
- removed duplicated line

* Sun Mar 11 2007 wolf <wolf@pld-linux.org> b369950
- 0.70

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 2f8badc
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 8371508
- converted to UTF-8

